%global momorel 1
%global svnrev 692
%global svndate 20060813
%global rel 0.%{svndate}.%{momorel}
%global internalver 0.6.17

Summary: X11 drawing program
Name: skencil
Version: 0.6.18
Release: %{rel}m%{?dist}
License: LGPL
Group: Amusements/Graphics
Source0: skencil-0.6-svn_r%{svnrev}.tar.gz
Patch: sketch-nandeyanen.patch
Patch1: skencil-ugokyaii.patch
BuildPreReq: python-imaging-devel >= 1.1.4
Requires: python-imaging >= 1.1.4, python, tkinter, tcl, tk
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.skencil.org/
Provides: sketch
Obsoletes: sketch

%description
Sketch is an interactive X11 drawing program (similar to xfig or tgif).
It is written almost completely in Python, an object oriented
interpreted programming language.

It can export Adobe Illustrator files and EPS.

%prep
%setup -q -n %{name}-0.6
%patch -p1
%patch1 -p1
%if %{_lib} == "lib64"
grep -rl /usr/X11R6/lib . | xargs perl -pi -e 's,/usr/X11R6/lib,/usr/X11R6/%{_lib},g'
grep -rl lib/ . | xargs perl -pi -e 's,lib/,%{_lib}/,g'
grep -rl lib\' . | xargs perl -pi -e "s,lib\',%{_lib}\',g"
%endif

#'

%build
./setup.py configure --prefix=%{_prefix} --with-nls --tk-flags="-ltk8.4 -ltcl8.4"
./setup.py build

%install
rm -rf --preserve-root %{buildroot}
./setup.py install --prefix=%{_prefix} --dest-dir=%{buildroot}

install -p Tools/mkfontdb.py %{buildroot}%{_libdir}/%{name}-%{internalver}/
ln -s %{_libdir}/%{name}-%{version}/mkfontdb.py %{buildroot}%{_bindir}/mkfontdb

%clean
rm -rf --preserve-root %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING CREDITS NEWS PROJECTS README TODO BUGS FAQ INSTALL
%doc Doc Examples Misc
%{_bindir}/*
%{_libdir}/%{name}-%{internalver}/

%changelog
* Mon Apr 09 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.18-0.20060813.1m)
- update to svn snapshot to make it work

* Wed Dec 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.17-6m)
- rebuild for python-2.5

* Fri Jun 09 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.17-5m)
- delete duplicate dir

* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.17-4m)
- revised installdir

* Fri Aug 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.17-3m)
- Add ugokyaii patch.

* Wed Aug 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.6.17-2m)
- build fix for multilib.

* Thu Jul 28 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.17-1m)
- update to 0.6.17
- revise URL

* Tue Feb  8 2005 Toru Hoshina <t@momonga-linux.org>
- (0.6.16-2m)
- rebuild against tcl/tk 8.4

* Sat Jun 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.16-1m)
- the package has been renamed to "skencil"
- update to 0.6.16

* Thu Mar 13 2003 Shingo Akagaki <droa@kitty.dnsalias.org>
- (0.6.15-1m)
- version 0.6.15

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.13-5m)
- add URL tag
- delete ver macro

* Wed Mar 20 2002 Toru Hoshina <t@kondara.org>
- (0.6.13-4k)
- mu-, nandeyanen...

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.6.13-2k)
- update to 0.6.13

* Sat Dec  8 2001 Toru Hoshina <t@kondara.org>
- (0.6.4-6k)
- uwa dassa.

* Sun Mar 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group, Source, BuildRoot, Summary, description )

* Sat Jan 12 2000 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.4

* Sat Dec  4 1999 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.3

* Thu Oct  8 1999 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.2

* Tue Aug 17 1999 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.1

* Sun Mar  7 1999 MATSUMOTO Shoji <vine@flatout.org>
- make spec
